% SBEACH toolbox - fsbeach_makecolumn
% Written by Joshua Simmons 11/2017

% convert to column vectors
%   Syntax:
%   OPT = fsbeach_makecolumn(OPT,vars)
%
%   Input:
%   OPT:        toolbox OPT structure
%   vars:       variable names to be checked in structure

function OPT = fsbeach_makecolumn(OPT,vars)
    for ii = 1:length(vars)
        if ~iscolumn(OPT.(vars{ii}))
            OPT.(vars{ii}) = OPT.(vars{ii})';
        end
    end
end