% SBEACH toolbox - fsbeach_runmodel
% Written by Joshua Simmons 11/2017

%   Syntax:
%   success = fsbeach_runmodel(cfgpath,exepath)
%
%   Input:
%   cfgpath     = path to SBEACH .CFG file (and other files setup by
%                 fsbeach_setupmodel()
%   exepath     = path to SBEACH exe

%   Output:
%   success     = bool;

function [fail, cmdout] = fsbeach_runmodel(cfgpath,exepath)
    cmdin = ['"' exepath '"' ' -cfgFN ' '"' cfgpath '"'];
    [fail, cmdout] = system(cmdin);
end